http_request_method_unregister
http_redirect
HTTP Funktionen
PHP Manual

# http_request

(PECL pecl_http:1.0.0-1.5.5)

http_request — Perform custom request

### Beschreibung

string http_request ( int `$method` [, string `$url` [, string `$body` [, array `$options` [, array `&$info` ]]]] )

Performs a custom HTTP request on the supplied url.

Siehe auch die vollständige Liste der Request Optionen.

### Parameter-Liste

`method`

  Request method

`url`

  URL

`body`

  Request body

`options`

  Request Optionen

`info`

  Request/Response Information

### Rückgabewerte

Gibt die HTTP Antwort(en) als String zurück oder `FALSE` bei Fehlern.

http_request_method_unregister
http_redirect
HTTP Funktionen
PHP Manual